Subject: Re: bug#32544: [ELPA] core packages need generated files

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Aug 2018 11:21:16 -0400

> An ELPA core package consist of files contained in the Emacs
> repository.  Sometimes, this is not sufficient: generated files like
> "package-name".info or "dir" might also be required.  It should be
> possible to add them.

Note that this same need exists for non-core packages.
The main issue is to make it possible to build those files on
elpa.gnu.org without too many security risks.

I planned to do that by running "make" inside an LXC container, but my
attempts to make a lightweight LXC container on elpa.gnu.org failed
se far.
Any help with this sysadmin side of things would be very welcome.

        Stefan